diff --git a/asdf.lisp b/asdf.lisp
index d71b60b..92a995a 100755
--- a/asdf.lisp
+++ b/asdf.lisp
@@ -2950,7 +2950,12 @@ located."
   #+asdf-unix #\:
   #-asdf-unix #\;)
 
+;;; Note: ASDF may expect user-homedir-pathname to provide the pathname of the current home directory, while MCL by
+;;; default provides the directory from which MCL was started. see http://code.google.com/p/mcl/wiki/Portability
 (defun* user-homedir ()
+  #+mcl
+  (ccl::findfolder #$kuserdomain #$kCurrentUserFolderType)
+  #-mcl
   (truenamize (pathname-directory-pathname (user-homedir-pathname))))
 
 (defun* try-directory-subpath (x sub &key type)
